ResourceStatusEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.resources
Class ResourceStatusEvent

    java.lang.Object
      java.util.EventObject
          org.davic.resources.ResourceStatusEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FilterResourceAvailableEvent, FilterResourcesAvailableEvent, ForcedDisconnectedEvent, ForcedDisconnectedEvent, FrontSceneResourceReleasedEvent, FrontSceneResourceReservedEvent, HScreenDeviceReleasedEvent, HScreenDeviceReservedEvent, MultiScreenResourceEvent, NetworkInterfaceReleasedEvent, NetworkInterfaceReservedEvent, RCInterfaceReleasedEvent, RCInterfaceReservedEvent, UserEventAvailableEvent, UserEventUnavailableEvent

    public class ResourceStatusEvent

extends EventObject

This class is the parent class for events reporting changes in the status of resources.

See Also:
  Serialized Form

Constructor Summary
`ResourceStatusEvent(Object source)` This constructs a resource status event relating to the specified resource.

Method Summary
`Object` | `getSource()` The object on which the Event initially occurred.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceStatusEvent

    public ResourceStatusEvent(Object source)

  This constructs a resource status event relating to the specified resource. The precise class of the object will depend on the individual API using the resource notification API.

  Parameters:
    `source` - the resource whose status changed

Method Detail

### getSource

    public Object getSource()

  Description copied from class: `EventObject`
  The object on which the Event initially occurred.

  Overrides:
    `getSource` in class `EventObject`
  Returns:
    the object whose status changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD